Bug 75765 - smb://machine/share does not retrieve the directory content.
smb://machine/share does not retrieve the directory content.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 19:43 EDT by Ivo Sarak
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-30 10:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-10-11 19:43:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
smb://machine will reveal the list of shares but try to open any of these shares
like smb://machine/share will never bring up any content. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) Type lan://localhost/ to Konqueror URL bar;
2) Open (lan://localhost/machine) any of the machines (if You have them at all);
3) Open lan://localhost/machine/smb;
4) As You will be directed to smb://machine and be shown a list of shares on
this machine, open any share (smb://machine/share);

Actual Results:  Blank window and nothing more.

Expected Results:  Contents of this share.

Additional info:

If to try to enter a share which is under password, it will ask for username and
password but result is the same.
Comment 1 Ivo Sarak 2002-10-11 20:12:04 EDT
Under GNOME there is no problem with smb://machine/share, but KDE has it.
Comment 2 Ivo Sarak 2002-10-14 03:26:26 EDT
Somehow on one machine what was upgraded to RedHat 8.0 (not installed from
scratch), smb://machine/share is working fine.
Comment 3 mxkennedy 2002-10-21 03:42:55 EDT
On my machine under KDE I don't get as far as lan:/ or lan://localhost/. 
It returns could not connect to localhost and thats the end of it.   
It also doesn't work if I try to connect to a machine name directly, like 
described above.   
 
Gnome seems to work a little bit better, but I also have the problems noted in 
other bug reports under it.   
 
The only way that really works without problem is to mount it in a terminal 
window, and then browse to the directory I mounted it to.  That works fine, in 
fact, it seems to connect a lot faster than a windows machine does. 
 
May I suggest an additional feature when this is fixed?  Add a lan:/ menu item 
or button to the file explorers, or add an icon to the desktop instead of 
typing lan:/ smb:// and make it really easy to use. 
Comment 4 Ivo Sarak 2002-12-28 19:46:08 EST
No changes with KDE 3.1-0.9 from Phoebe.
Comment 5 Ivo Sarak 2003-01-27 05:03:21 EST
With Phoebe (8.0.93) is even worse - I can see only the machine names, but no shares 
anymore! 
 
What is going on? 
Is there a howto about this issue? 
 
Comment 6 Andy Shevchenko 2003-02-27 12:09:07 EST
Did you look the following URL?

http://bugs.kde.org/show_bug.cgi?id=53202


KDE Team says that they fixed this undesired behaviour of lanbrowser...
Comment 7 Ivo Sarak 2003-02-27 14:25:02 EST
If this will fix something then only "...I can see only the machine names, but
no shares anymore!", but I see no way how this may fix "smb://machine will
reveal the list of shares but try to open any of these shares like
smb://machine/share will never bring up any content."
Comment 8 Ivo Sarak 2003-03-17 15:11:09 EST
Fixed?
http://bugs.kde.org/show_bug.cgi?id=41284

When and what version of KDE from RedHat will have this fix?
Comment 9 Ngo Than 2003-06-30 10:37:07 EDT
it's fixed in kdebase-3.1-13, which was released as errata last time

Note You need to log in before you can comment on or make changes to this bug.